# syntax=docker/dockerfile:1.0.0-experimental
# Experimental version used for ssh agent forwarding support (to allow downlading our crates)

ARG RUST_BASE_IMG
FROM $RUST_BASE_IMG AS builder

# Build all the rust binaries in release mode
COPY . ./xand
WORKDIR xand
ENV CI_COMMIT_SHA ""
RUN --mount=type=ssh cargo make --profile production build-rust-release-binaries

# This image is only meant to be used as a base for other images
